:root {
	font-size: 16px;
}
html,
body {
	font-size: 16px;
	font-family: Ubuntu, Sans-Serif, Monaco;
	padding: 0;
	margin: 0;
	background: #292828;
	color: blanchedalmond;
}
.grid {
	display: grid;
	grid-gap: 1rem;
	grid-template-rows: 5rem 1fr 1fr 5rem;
	grid-template-columns: 1fr;
	grid-template-areas:
		'header'
		'main'
		'aside'
		'footer';
	height: 100vh;
	width: 100vw;
}

header {
	grid-area: header;
	padding: 0 0.5rem;
}
header h4 {
	margin: 0.5rem 0;
	font-size: 1.25rem;
}

aside {
	grid-area: aside;
}
aside #nav #menu ul {
	list-style: none;
	margin-block-start: 0.5rem;
	padding-inline-start: 1rem;
}
aside #nav #menu ul li {
	padding: 0.25rem 0;
}
aside #nav #menu ul li a {
	color: dodgerblue;
    font-weight: 400;
    font-size: 1.25rem;
}

main {
	grid-area: main;
	position: relative;
}
main section {
	text-align: center;
}

footer {
	grid-area: footer;
}
footer .copyright {
	color: darkolivegreen;
	font-size: 0.75rem;
}

aside,
main,
footer {
	padding: 0.5rem;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

@media (min-width: 992px) {
	.grid {
		grid-template-rows: 5rem 1fr 5rem;
		grid-template-columns: 15% 1fr;
		grid-template-areas:
			'header header'
			'aside main'
			'footer footer';
		max-width: 100vw;
		overflow-x: hidden;
		position: relative;
	}
	aside,
	footer {
		align-items: flex-start;
		justify-content: center;
	}
}
